import { select, json, geoPath, 
        geoMercator, geoOrthographic, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

const svg=select('svg');
const height=parseFloat(svg.attr('height'));
const width=parseFloat(svg.attr('width'));

//const projection = geoMercator();
//const projection = geoOrthographic();
const projection = geoNaturalEarth1();

const pathGenerator = geoPath().projection(projection);

json('https://gist.githubusercontent.com/d3indepth/f28e1c3a99ea6d84986f35ac8646fac7/raw/c58cede8dab4673c91a3db702d50f7447b373d98/ne_110m_land.json')
	.then(data=> {
  	//const countries = feature(data, data.objects.countries);
  	console.log(data);
  	//console.log(countries);
  
  svg.append('path')
  	.attr('class', 'sphere')
  	.attr('d', pathGenerator({type: 'Sphere'}));
  
  svg.selectAll('path')
  	.data(countries.features)
  	.enter().append('path')
  	.attr('class', 'country')
  	.attr('d', pathGenerator);
  });